VTK: vtkParallelCoordinatesView Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
vtkParallelCoordinatesView Class Reference

view to be used with vtkParallelCoordinatesRepresentation More...

`#include <vtkParallelCoordinatesView.h>`

Inheritance diagram for vtkParallelCoordinatesView:
[legend]
Collaboration diagram for vtkParallelCoordinatesView:
[legend]

## Public Types
enum | { VTK_BRUSH_LASSO = 0 , VTK_BRUSH_ANGLE , VTK_BRUSH_FUNCTION , VTK_BRUSH_AXISTHRESHOLD , VTK_BRUSH_MODECOUNT }
enum | { VTK_BRUSHOPERATOR_ADD = 0 , VTK_BRUSHOPERATOR_SUBTRACT , VTK_BRUSHOPERATOR_INTERSECT , VTK_BRUSHOPERATOR_REPLACE , VTK_BRUSHOPERATOR_MODECOUNT }
enum | { VTK_INSPECT_MANIPULATE_AXES = 0 , VTK_INSPECT_SELECT_DATA , VTK_INSPECT_MODECOUNT }
typedef vtkRenderView | Superclass
Public Types inherited from vtkRenderView
enum | { INTERACTION_MODE_2D , INTERACTION_MODE_3D , INTERACTION_MODE_UNKNOWN }
enum | { SURFACE = 0 , FRUSTUM = 1 }
enum | { NO_OVERLAP , ALL }
enum | { FREETYPE , QT }
typedef vtkRenderViewBase | Superclass
Public Types inherited from vtkRenderViewBase
typedef vtkView | Superclass
Public Types inherited from vtkView
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkParallelCoordinatesView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetBrushMode (int)
void | SetBrushModeToLasso ()
void | SetBrushModeToAngle ()
void | SetBrushModeToFunction ()
void | SetBrushModeToAxisThreshold ()
virtual int | GetBrushMode ()
void | SetBrushOperator (int)
void | SetBrushOperatorToAdd ()
void | SetBrushOperatorToSubtract ()
void | SetBrushOperatorToIntersect ()
void | SetBrushOperatorToReplace ()
virtual int | GetBrushOperator ()
void | SetInspectMode (int)
void | SetInspectModeToManipulateAxes ()
void | SetInpsectModeToSelectData ()
virtual int | GetInspectMode ()
void | SetMaximumNumberOfBrushPoints (int)
virtual int | GetMaximumNumberOfBrushPoints ()
virtual void | SetCurrentBrushClass (int)
virtual int | GetCurrentBrushClass ()
void | ApplyViewTheme (vtkViewTheme *theme) override
Public Member Functions inherited from vtkRenderView
vtkRenderView * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | SetInteractor (vtkRenderWindowInteractor *interactor) override
| The render window interactor. More...
virtual void | SetInteractorStyle (vtkInteractorObserver *style)
| The interactor style associated with the render view. More...
virtual vtkInteractorObserver * | GetInteractorStyle ()
| Get the interactor style associated with the render view. More...
void | SetRenderWindow (vtkRenderWindow *win) override
| Set the render window for this view. More...
void | SetInteractionMode (int mode)
virtual int | GetInteractionMode ()
virtual void | SetInteractionModeTo2D ()
| Set the interaction mode for the view. More...
virtual void | SetInteractionModeTo3D ()
void | Render () override
| Updates the representations, then calls Render() on the render window associated with this view. More...
void | ApplyViewTheme (vtkViewTheme *theme) override
| Applies a view theme to this view. More...
virtual void | AddLabels (vtkAlgorithmOutput *conn)
| Add labels from an input connection with an associated text property. More...
virtual void | RemoveLabels (vtkAlgorithmOutput *conn)
| Remove labels from an input connection. More...
virtual void | SetTransform (vtkAbstractTransform *transform)
| Set the view's transform. More...
virtual vtkAbstractTransform * | GetTransform ()
| Set the view's transform. More...
virtual void | SetDisplayHoverText (bool b)
| Whether the view should display hover text. More...
virtual bool | GetDisplayHoverText ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOn ()
| Whether the view should display hover text. More...
virtual void | DisplayHoverTextOff ()
| Whether the view should display hover text. More...
virtual void | SetSelectionMode (int)
| Sets the selection mode for the render view. More...
virtual int | GetSelectionMode ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToSurface ()
| Sets the selection mode for the render view. More...
void | SetSelectionModeToFrustum ()
| Sets the selection mode for the render view. More...
virtual void | SetIconTexture (vtkTexture *texture)
| Set the icon sheet to use for rendering icons. More...
virtual vtkTexture * | GetIconTexture ()
| Set the icon sheet to use for rendering icons. More...
virtual void | SetIconSize (int, int)
| Set the size of each icon in the icon texture. More...
void | SetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual int * | GetIconSize ()
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int &, int &)
| Set the size of each icon in the icon texture. More...
virtual void | GetIconSize (int[2])
| Set the size of each icon in the icon texture. More...
virtual void | SetDisplaySize (int, int)
| Set the display size of the icon (which may be different from the icon size). More...
void | SetDisplaySize (int[2])
| Set the display size of the icon (which may be different from the icon size). More...
int * | GetDisplaySize ()
| Set the display size of the icon (which may be different from the icon size). More...
void | GetDisplaySize (int &dsx, int &dsy)
| Set the display size of the icon (which may be different from the icon size). More...
virtual void | SetLabelPlacementMode (int mode)
| Label placement mode. More...
virtual int | GetLabelPlacementMode ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToNoOverlap ()
| Label placement mode. More...
virtual void | SetLabelPlacementModeToAll ()
| Label placement mode. More...
virtual void | SetLabelRenderMode (int mode)
| Label render mode. More...
virtual int | GetLabelRenderMode ()
| Label render mode. More...
virtual void | SetLabelRenderModeToFreetype ()
| Label render mode. More...
virtual void | SetLabelRenderModeToQt ()
| Label render mode. More...
void | SetRenderOnMouseMove (bool b)
| Whether to render on every mouse move. More...
virtual bool | GetRenderOnMouseMove ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOn ()
| Whether to render on every mouse move. More...
virtual void | RenderOnMouseMoveOff ()
| Whether to render on every mouse move. More...
Public Member Functions inherited from vtkRenderViewBase
vtkRenderViewBase * | NewInstance () const
virtual vtkRenderer * | GetRenderer ()
| Gets the renderer for this view. More...
virtual void | SetRenderer (vtkRenderer *ren)
virtual vtkRenderWindow * | GetRenderWindow ()
| Get a handle to the render window. More...
virtual void | ResetCamera ()
| Updates the representations, then calls ResetCamera() on the renderer associated with this view. More...
virtual void | ResetCameraClippingRange ()
| Updates the representations, then calls ResetCameraClippingRange() on the renderer associated with this view. More...
virtual vtkRenderWindowInteractor * | GetInteractor ()
| The render window interactor. More...
Public Member Functions inherited from vtkView
vtkView * | NewInstance () const
void | AddRepresentation (vtkDataRepresentation *rep)
| Adds the representation to the view. More...
void | SetRepresentation (vtkDataRepresentation *rep)
| Set the representation to the view. More...
vtkDataRepresentation * | AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which creates a simple representation with the connection and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn)
| Convenience method which sets the representation with the connection and adds it to the view. More...
vtkDataRepresentation * | AddRepresentationFromInput (vtkDataObject *input)
| Convenience method which creates a simple representation with the specified input and adds it to the view. More...
vtkDataRepresentation * | SetRepresentationFromInput (vtkDataObject *input)
| Convenience method which sets the representation to the specified input and adds it to the view. More...
void | RemoveRepresentation (vtkDataRepresentation *rep)
| Removes the representation from the view. More...
void | RemoveRepresentation (vtkAlgorithmOutput *rep)
| Removes any representation with this connection from the view. More...
void | RemoveAllRepresentations ()
| Removes all representations from the view. More...
int | GetNumberOfRepresentations ()
| Returns the number of representations from first port(0) in this view. More...
vtkDataRepresentation * | GetRepresentation (int index=0)
| The representation at a specified index. More...
bool | IsRepresentationPresent (vtkDataRepresentation *rep)
| Check to see if a representation is present in the view. More...
virtual void | Update ()
| Update the view. More...
virtual void | ApplyViewTheme (vtkViewTheme *vtkNotUsed(theme))
| Apply a theme to the view. More...
vtkCommand * | GetObserver ()
| Returns the observer that the subclasses can use to listen to additional events. More...
void | RegisterProgress (vtkObject *algorithm, const char *message=nullptr)
| Meant for use by subclasses and vtkRepresentation subclasses. More...
void | UnRegisterProgress (vtkObject *algorithm)
| Unregister objects previously registered with RegisterProgress. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkParallelCoordinatesView * | SafeDownCast (vtkObjectBase *o)
static vtkParallelCoordinatesView * | New ()
Static Public Member Functions inherited from vtkRenderView
static vtkRenderView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRenderViewBase
static vtkRenderViewBase * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRenderViewBase * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkView
static vtkView * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkView * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Types
enum | { VTK_HIGHLIGHT_CENTER = 0 , VTK_HIGHLIGHT_MIN , VTK_HIGHLIGHT_MAX }

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkParallelCoordinatesView ()
| ~vtkParallelCoordinatesView () override
void | ProcessEvents (vtkObject *caller, unsigned long event, void *callData) override
| Called to process events. More...
vtkDataRepresentation * | CreateDefaultRepresentation (vtkAlgorithmOutput *conn) override
| Create a default vtkDataRepresentation for the given vtkAlgorithmOutput. More...
void | PrepareForRendering () override
| Called by the view when the renderer is about to render. More...
int | SetAxisHighlightPosition (vtkParallelCoordinatesRepresentation *rep, int position)
| Set/Get the position of axis highlights. More...
int | SetAxisHighlightPosition (vtkParallelCoordinatesRepresentation *rep, double position)
| Set the highlight position using normalized viewport coordinates. More...
int | AddLassoBrushPoint (double *p)
int | SetBrushLine (int line, double *p1, double *p2)
void | GetBrushLine (int line, vtkIdType &npts, vtkIdType const *&ptids)
int | SetAngleBrushLine (double *p1, double *p2)
int | SetFunctionBrushLine1 (double *p1, double *p2)
int | SetFunctionBrushLine2 (double *p1, double *p2)
void | ClearBrushPoints ()
void | Hover (unsigned long event)
| Handle axis manipulation. More...
void | ManipulateAxes (unsigned long event)
| Handle axis manipulation. More...
void | SelectData (unsigned long event)
| Handle axis manipulation. More...
void | Zoom (unsigned long event)
| Handle axis manipulation. More...
void | Pan (unsigned long event)
| Handle axis manipulation. More...
Protected Member Functions inherited from vtkRenderView
| vtkRenderView ()
| ~vtkRenderView () override
void | ProcessEvents (vtkObject *caller, unsigned long eventId, void *callData) override
| Called to process events. More...
virtual void | GenerateSelection (void *callData, vtkSelection *selection)
| Generates the selection based on the view event and the selection mode. More...
void | PrepareForRendering () override
| Called by the view when the renderer is about to render. More...
virtual void | UpdateHoverText ()
| Called in PrepareForRendering to update the hover text. More...
virtual void | UpdateHoverWidgetState ()
| Enable or disable hovering based on DisplayHoverText ivar and interaction state. More...
void | UpdatePickRender ()
| Update the pick render for queries for drag selections or hover ballooons. More...
Protected Member Functions inherited from vtkRenderViewBase
| vtkRenderViewBase ()
| ~vtkRenderViewBase () override
Protected Member Functions inherited from vtkView
| vtkView ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
| ~vtkView () override
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | AddRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Subclass "hooks" for notifying subclasses of vtkView when representations are added or removed. More...
virtual void | RemoveRepresentationInternal (vtkDataRepresentation *vtkNotUsed(rep))
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | SetReuseSingleRepresentation (bool)
| True if the view takes a single representation that should be reused on Add/SetRepresentationFromInput(Connection) calls. More...
virtual bool | GetReuseSingleRepresentation ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOn ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
virtual void | ReuseSingleRepresentationOff ()
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | SelectedAxisPosition
vtkSmartPointer< vtkOutlineSource > | HighlightSource
vtkSmartPointer< vtkPolyDataMapper2D > | HighlightMapper
vtkSmartPointer< vtkActor2D > | HighlightActor
int | InspectMode
int | BrushMode
int | BrushOperator
int | MaximumNumberOfBrushPoints
int | NumberOfBrushPoints
int | CurrentBrushClass
vtkSmartPointer< vtkPolyData > | BrushData
vtkSmartPointer< vtkPolyDataMapper2D > | BrushMapper
vtkSmartPointer< vtkActor2D > | BrushActor
int | FirstFunctionBrushLineDrawn
int | AxisHighlightPosition
vtkTimeStamp | WorldBuildTime
bool | RebuildNeeded
Protected Attributes inherited from vtkRenderView
int | SelectionMode
int | LabelRenderMode
bool | DisplayHoverText
bool | Interacting
bool | InHoverTextRender
bool | InPickRender
bool | PickRenderNeedsUpdate
vtkAbstractTransform * | Transform
vtkTexture * | IconTexture
int | IconSize [2]
int | DisplaySize [2]
int | InteractionMode
bool | RenderOnMouseMove
vtkSmartPointer< vtkRenderer > | LabelRenderer
vtkSmartPointer< vtkBalloonRepresentation > | Balloon
vtkSmartPointer< vtkLabelPlacementMapper > | LabelPlacementMapper
vtkSmartPointer< vtkTexturedActor2D > | LabelActor
vtkSmartPointer< vtkHoverWidget > | HoverWidget
vtkSmartPointer< vtkHardwareSelector > | Selector
Protected Attributes inherited from vtkRenderViewBase
vtkSmartPointer< vtkRenderer > | Renderer
vtkSmartPointer< vtkRenderWindow > | RenderWindow
Protected Attributes inherited from vtkView
bool | ReuseSingleRepresentation
| Meant for use by subclasses and vtkRepresentation subclasses. More...
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

view to be used with vtkParallelCoordinatesRepresentation

This class manages interaction with the vtkParallelCoordinatesRepresentation. There are two inspection modes: axis manipulation and line selection. In axis manipulation mode, PC axes can be dragged and reordered with the LMB, axis ranges can be increased/decreased by dragging up/down with the LMB, and RMB controls zoom and pan.

In line selection mode, there are three subclasses of selections: lasso, angle, and function selection. Lasso selection lets the user brush a line and select all PC lines that pass nearby. Angle selection lets the user draw a representative line between axes and select all lines that have similar orientation. Function selection lets the user draw two representative lines between a pair of axes and select all lines that match the linear interpolation of those lines.

There are several self-explanatory operators for combining selections: ADD, SUBTRACT REPLACE, and INTERSECT.

Online Examples:

Tests:
  vtkParallelCoordinatesView (Tests)

Definition at line 51 of file vtkParallelCoordinatesView.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkRenderView vtkParallelCoordinatesView::Superclass

Definition at line 54 of file vtkParallelCoordinatesView.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
VTK_BRUSH_LASSO |
VTK_BRUSH_ANGLE |
VTK_BRUSH_FUNCTION |
VTK_BRUSH_AXISTHRESHOLD |
VTK_BRUSH_MODECOUNT |

Definition at line 58 of file vtkParallelCoordinatesView.h.

## ◆ anonymous enum

anonymous enum

Enumerator
VTK_BRUSHOPERATOR_ADD |
VTK_BRUSHOPERATOR_SUBTRACT |
VTK_BRUSHOPERATOR_INTERSECT |
VTK_BRUSHOPERATOR_REPLACE |
VTK_BRUSHOPERATOR_MODECOUNT |

Definition at line 66 of file vtkParallelCoordinatesView.h.

## ◆ anonymous enum

anonymous enum

Enumerator
VTK_INSPECT_MANIPULATE_AXES |
VTK_INSPECT_SELECT_DATA |
VTK_INSPECT_MODECOUNT |

Definition at line 74 of file vtkParallelCoordinatesView.h.

## ◆ anonymous enum

anonymous enum
| protected

Enumerator
VTK_HIGHLIGHT_CENTER |
VTK_HIGHLIGHT_MIN |
VTK_HIGHLIGHT_MAX |

Definition at line 114 of file vtkParallelCoordinatesView.h.

## Constructor & Destructor Documentation

## ◆ vtkParallelCoordinatesView()

vtkParallelCoordinatesView::vtkParallelCoordinatesView | ( |  | ) |
| protected

## ◆ ~vtkParallelCoordinatesView()

vtkParallelCoordinatesView::~vtkParallelCoordinatesView | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkParallelCoordinatesView::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkParallelCoordinatesView::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkRenderView.

## ◆ SafeDownCast()

static vtkParallelCoordinatesView* vtkParallelCoordinatesView::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkParallelCoordinatesView::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkRenderView.

## ◆ NewInstance()

vtkParallelCoordinatesView* vtkParallelCoordinatesView::NewInstance | ( |  | ) | const

## ◆ New()

static vtkParallelCoordinatesView* vtkParallelCoordinatesView::New | ( |  | ) |
| static

## ◆ PrintSelf()

void vtkParallelCoordinatesView::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkRenderViewBase.

## ◆ SetBrushMode()

void vtkParallelCoordinatesView::SetBrushMode | ( | int |  | ) |

## ◆ SetBrushModeToLasso()

void vtkParallelCoordinatesView::SetBrushModeToLasso | ( |  | ) |
| inline

Definition at line 82 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushModeToAngle()

void vtkParallelCoordinatesView::SetBrushModeToAngle | ( |  | ) |
| inline

Definition at line 83 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushModeToFunction()

void vtkParallelCoordinatesView::SetBrushModeToFunction | ( |  | ) |
| inline

Definition at line 84 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushModeToAxisThreshold()

void vtkParallelCoordinatesView::SetBrushModeToAxisThreshold | ( |  | ) |
| inline

Definition at line 85 of file vtkParallelCoordinatesView.h.

## ◆ GetBrushMode()

virtual int vtkParallelCoordinatesView::GetBrushMode | ( |  | ) |
| virtual

## ◆ SetBrushOperator()

void vtkParallelCoordinatesView::SetBrushOperator | ( | int |  | ) |

## ◆ SetBrushOperatorToAdd()

void vtkParallelCoordinatesView::SetBrushOperatorToAdd | ( |  | ) |
| inline

Definition at line 89 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushOperatorToSubtract()

void vtkParallelCoordinatesView::SetBrushOperatorToSubtract | ( |  | ) |
| inline

Definition at line 90 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushOperatorToIntersect()

void vtkParallelCoordinatesView::SetBrushOperatorToIntersect | ( |  | ) |
| inline

Definition at line 91 of file vtkParallelCoordinatesView.h.

## ◆ SetBrushOperatorToReplace()

void vtkParallelCoordinatesView::SetBrushOperatorToReplace | ( |  | ) |
| inline

Definition at line 92 of file vtkParallelCoordinatesView.h.

## ◆ GetBrushOperator()

virtual int vtkParallelCoordinatesView::GetBrushOperator | ( |  | ) |
| virtual

## ◆ SetInspectMode()

void vtkParallelCoordinatesView::SetInspectMode | ( | int |  | ) |

## ◆ SetInspectModeToManipulateAxes()

void vtkParallelCoordinatesView::SetInspectModeToManipulateAxes | ( |  | ) |
| inline

Definition at line 96 of file vtkParallelCoordinatesView.h.

## ◆ SetInpsectModeToSelectData()

void vtkParallelCoordinatesView::SetInpsectModeToSelectData | ( |  | ) |
| inline

Definition at line 97 of file vtkParallelCoordinatesView.h.

## ◆ GetInspectMode()

virtual int vtkParallelCoordinatesView::GetInspectMode | ( |  | ) |
| virtual

## ◆ SetMaximumNumberOfBrushPoints()

void vtkParallelCoordinatesView::SetMaximumNumberOfBrushPoints | ( | int |  | ) |

## ◆ GetMaximumNumberOfBrushPoints()

virtual int vtkParallelCoordinatesView::GetMaximumNumberOfBrushPoints | ( |  | ) |
| virtual

## ◆ SetCurrentBrushClass()

virtual void vtkParallelCoordinatesView::SetCurrentBrushClass | ( | int |  | ) |
| virtual

## ◆ GetCurrentBrushClass()

virtual int vtkParallelCoordinatesView::GetCurrentBrushClass | ( |  | ) |
| virtual

## ◆ ApplyViewTheme()

void vtkParallelCoordinatesView::ApplyViewTheme | ( | vtkViewTheme * | theme | ) |
| override

## ◆ ProcessEvents()

void vtkParallelCoordinatesView::ProcessEvents | ( | vtkObject * | caller,
|  | unsigned long | eventId,
|  | void * | callData
| ) |  |
| overrideprotectedvirtual

Called to process events.

The superclass processes selection changed events from its representations. This may be overridden by subclasses to process additional events.

Reimplemented from vtkView.

## ◆ CreateDefaultRepresentation()

vtkDataRepresentation* vtkParallelCoordinatesView::CreateDefaultRepresentation | ( | vtkAlgorithmOutput * | conn | ) |
| overrideprotectedvirtual

Create a default vtkDataRepresentation for the given vtkAlgorithmOutput.

View subclasses may override this method to create custom representations. This method is called by Add/SetRepresentationFromInputConnection. NOTE, the caller must delete the returned vtkDataRepresentation.

Reimplemented from vtkView.

## ◆ PrepareForRendering()

void vtkParallelCoordinatesView::PrepareForRendering | ( |  | ) |
| overrideprotectedvirtual

Called by the view when the renderer is about to render.

Reimplemented from vtkRenderViewBase.

## ◆ Hover()

void vtkParallelCoordinatesView::Hover | ( | unsigned long | event | ) |
| protected

Handle axis manipulation.

## ◆ ManipulateAxes()

void vtkParallelCoordinatesView::ManipulateAxes | ( | unsigned long | event | ) |
| protected

Handle axis manipulation.

## ◆ SelectData()

void vtkParallelCoordinatesView::SelectData | ( | unsigned long | event | ) |
| protected

Handle axis manipulation.

## ◆ Zoom()

void vtkParallelCoordinatesView::Zoom | ( | unsigned long | event | ) |
| protected

Handle axis manipulation.

## ◆ Pan()

void vtkParallelCoordinatesView::Pan | ( | unsigned long | event | ) |
| protected

Handle axis manipulation.

## ◆ SetAxisHighlightPosition() [1/2]

int vtkParallelCoordinatesView::SetAxisHighlightPosition | ( | vtkParallelCoordinatesRepresentation * | rep,
|  | int | position
| ) |  |
| protected

Set/Get the position of axis highlights.

## ◆ SetAxisHighlightPosition() [2/2]

int vtkParallelCoordinatesView::SetAxisHighlightPosition | ( | vtkParallelCoordinatesRepresentation * | rep,
|  | double | position
| ) |  |
| protected

Set the highlight position using normalized viewport coordinates.

## ◆ AddLassoBrushPoint()

int vtkParallelCoordinatesView::AddLassoBrushPoint | ( | double * | p | ) |
| protected

## ◆ SetBrushLine()

int vtkParallelCoordinatesView::SetBrushLine | ( | int | line,
|  | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ GetBrushLine()

void vtkParallelCoordinatesView::GetBrushLine | ( | int | line,
|  | vtkIdType & | npts,
|  | vtkIdType const *& | ptids
| ) |  |
| protected

## ◆ SetAngleBrushLine()

int vtkParallelCoordinatesView::SetAngleBrushLine | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ SetFunctionBrushLine1()

int vtkParallelCoordinatesView::SetFunctionBrushLine1 | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ SetFunctionBrushLine2()

int vtkParallelCoordinatesView::SetFunctionBrushLine2 | ( | double * | p1,
|  | double * | p2
| ) |  |
| protected

## ◆ ClearBrushPoints()

void vtkParallelCoordinatesView::ClearBrushPoints | ( |  | ) |
| protected

## Member Data Documentation

## ◆ SelectedAxisPosition

int vtkParallelCoordinatesView::SelectedAxisPosition
| protected

Definition at line 112 of file vtkParallelCoordinatesView.h.

## ◆ HighlightSource

vtkSmartPointer<vtkOutlineSource> vtkParallelCoordinatesView::HighlightSource
| protected

Definition at line 120 of file vtkParallelCoordinatesView.h.

## ◆ HighlightMapper

vtkSmartPointer<vtkPolyDataMapper2D> vtkParallelCoordinatesView::HighlightMapper
| protected

Definition at line 121 of file vtkParallelCoordinatesView.h.

## ◆ HighlightActor

vtkSmartPointer<vtkActor2D> vtkParallelCoordinatesView::HighlightActor
| protected

Definition at line 122 of file vtkParallelCoordinatesView.h.

## ◆ InspectMode

int vtkParallelCoordinatesView::InspectMode
| protected

Definition at line 124 of file vtkParallelCoordinatesView.h.

## ◆ BrushMode

int vtkParallelCoordinatesView::BrushMode
| protected

Definition at line 125 of file vtkParallelCoordinatesView.h.

## ◆ BrushOperator

int vtkParallelCoordinatesView::BrushOperator
| protected

Definition at line 126 of file vtkParallelCoordinatesView.h.

## ◆ MaximumNumberOfBrushPoints

int vtkParallelCoordinatesView::MaximumNumberOfBrushPoints
| protected

Definition at line 127 of file vtkParallelCoordinatesView.h.

## ◆ NumberOfBrushPoints

int vtkParallelCoordinatesView::NumberOfBrushPoints
| protected

Definition at line 128 of file vtkParallelCoordinatesView.h.

## ◆ CurrentBrushClass

int vtkParallelCoordinatesView::CurrentBrushClass
| protected

Definition at line 129 of file vtkParallelCoordinatesView.h.

## ◆ BrushData

vtkSmartPointer<vtkPolyData> vtkParallelCoordinatesView::BrushData
| protected

Definition at line 131 of file vtkParallelCoordinatesView.h.

## ◆ BrushMapper

vtkSmartPointer<vtkPolyDataMapper2D> vtkParallelCoordinatesView::BrushMapper
| protected

Definition at line 132 of file vtkParallelCoordinatesView.h.

## ◆ BrushActor

vtkSmartPointer<vtkActor2D> vtkParallelCoordinatesView::BrushActor
| protected

Definition at line 133 of file vtkParallelCoordinatesView.h.

## ◆ FirstFunctionBrushLineDrawn

int vtkParallelCoordinatesView::FirstFunctionBrushLineDrawn
| protected

Definition at line 135 of file vtkParallelCoordinatesView.h.

## ◆ AxisHighlightPosition

int vtkParallelCoordinatesView::AxisHighlightPosition
| protected

Definition at line 136 of file vtkParallelCoordinatesView.h.

## ◆ WorldBuildTime

vtkTimeStamp vtkParallelCoordinatesView::WorldBuildTime
| protected

Definition at line 138 of file vtkParallelCoordinatesView.h.

## ◆ RebuildNeeded

bool vtkParallelCoordinatesView::RebuildNeeded
| protected

Definition at line 139 of file vtkParallelCoordinatesView.h.

The documentation for this class was generated from the following file:

- Views/Infovis/vtkParallelCoordinatesView.h